Foreman - Bug #13098

plugin assets fail to precompile with TypeError: couldn't digest ActiveSupport::Stringlnquirer

01/09/2016 02:20 PM - Eric Helms

Status: Closed
Priority: Normal
Assignee: Eric Helms
Category: Plugin integration
Target version: 1.11.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3038
Description

After the update to include Patternfly which required bumping sprockets to version 3+, plugin assets precompile task fails with:

TypeError: couldn't digest ActiveSupport::StringlInquirer

Associated revisions

Revision 8eaa16f5 - 01/11/2016 09:37 AM - Eric Helms

Fixes #13098: Set assets environment the same as core assets

The introduction of Sprockets 3+ led to the environment-version
being set to ActiveSupport::StringInquirer object instead of a
String. The Sprockets digest method does not support digesting
classes of type ActiveSupport::Stringlnquirer.

This change explicitly sets the assets environment version to be
calculated the same as core assets when precompiling. When core

assets are precompiled using the normal Rails assets:precompile rake

task the environment string is generated in such a way as to create
a unique string and thus unique digest. The plugin:asset:precompile
task will now do the same and explicitly ensure it is set to
production given the task does not require a true Rails environment
to be declared.

History

#1 - 01/09/2016 02:25 PM - The Foreman Bot
- Status changed from New to Ready For Testing

- Assignee set to Eric Helms

- Pull request https://github.com/theforeman/foreman/pull/3038 added

#2 - 01/11/2016 03:16 AM - Dominic Cleal
- Category set to Plugin integration

- translation missing: en.field_release set to 71

#3 - 01/11/2016 10:04 AM - Eric Helms
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 8eaal6f5b6b7f18152a2efd929eedfeaBe75a28f.
